QwtSimpleCompassRose Class Reference

A simple rose for QwtCompass. More...

`#include <qwt_compass_rose.h>`

Inheritance diagram for QwtSimpleCompassRose:
[legend]

## Public Member Functions

| QwtSimpleCompassRose (int numThorns=8, int numThornLevels=-1)
virtual | ~QwtSimpleCompassRose ()
| Destructor.
void | setWidth (double)
double | width () const
void | setNumThorns (int)
int | numThorns () const
void | setNumThornLevels (int)
int | numThornLevels () const
void | setShrinkFactor (double factor)
double | shrinkFactor () const
virtual void | draw (QPainter *, const QPointF &center, double radius, double north, QPalette::ColorGroup=QPalette::Active) const
Public Member Functions inherited from QwtCompassRose
virtual | ~QwtCompassRose ()
| Destructor.
virtual void | setPalette (const QPalette &p)
| Assign a palette.
const QPalette & | palette () const

## Static Public Member Functions

static void | drawRose (QPainter *, const QPalette &, const QPointF &center, double radius, double north, double width, int numThorns, int numThornLevels, double shrinkFactor)

## Detailed Description

A simple rose for QwtCompass.

## Constructor & Destructor Documentation

## QwtSimpleCompassRose()

QwtSimpleCompassRose::QwtSimpleCompassRose | ( | int | numThorns = `8`,
|  | int | numThornLevels = `-1`
| ) |  |

Constructor

Parameters

  numThorns | Number of thorns
  numThornLevels | Number of thorn levels

## Member Function Documentation

## draw()

void QwtSimpleCompassRose::draw | ( | QPainter * | painter,
|  | const QPointF & | center,
|  | double | radius,
|  | double | north,
|  | QPalette::ColorGroup | cg = `QPalette::Active`
| ) |  | const

virtual

Draw the rose

Parameters

  painter | Painter
  center | Center point
  radius | Radius of the rose
  north | Position
  cg | Color group

Implements QwtCompassRose.

## drawRose()

void QwtSimpleCompassRose::drawRose | ( | QPainter * | painter,
|  | const QPalette & | palette,
|  | const QPointF & | center,
|  | double | radius,
|  | double | north,
|  | double | width,
|  | int | numThorns,
|  | int | numThornLevels,
|  | double | shrinkFactor
| ) |  |

static

Draw the rose

Parameters

  painter | Painter
  palette | Palette
  center | Center of the rose
  radius | Radius of the rose
  north | Position pointing to north
  width | Width of the rose
  numThorns | Number of thorns
  numThornLevels | Number of thorn levels
  shrinkFactor | Factor to shrink the thorns with each level

## numThornLevels()

int QwtSimpleCompassRose::numThornLevels | ( |  | ) | const

Returns
  Number of thorn levels

See also
  setNumThorns(), setNumThornLevels()

## numThorns()

int QwtSimpleCompassRose::numThorns | ( |  | ) | const

Returns
  Number of thorns

See also
  setNumThorns(), setNumThornLevels()

## setNumThornLevels()

void QwtSimpleCompassRose::setNumThornLevels | ( | int | numThornLevels | ) |

Set the of thorns levels

Parameters

  numThornLevels | Number of thorns levels

See also
  setNumThorns(), numThornLevels()

## setNumThorns()

void QwtSimpleCompassRose::setNumThorns | ( | int | numThorns | ) |

Set the number of thorns on one level The number is aligned to a multiple of 4, with a minimum of 4

Parameters

  numThorns | Number of thorns

See also
  numThorns(), setNumThornLevels()

## setShrinkFactor()

void QwtSimpleCompassRose::setShrinkFactor | ( | double | factor | ) |

Set the Factor how to shrink the thorns with each level The default value is 0.9.

Parameters

  factor | Shrink factor

See also
  shrinkFactor()

## setWidth()

void QwtSimpleCompassRose::setWidth | ( | double | width | ) |

Set the width of the rose heads. Lower value make thinner heads. The range is limited from 0.03 to 0.4.

Parameters

  width | Width

## shrinkFactor()

double QwtSimpleCompassRose::shrinkFactor | ( |  | ) | const

Returns
  Factor how to shrink the thorns with each level

See also
  setShrinkFactor()

## width()

double QwtSimpleCompassRose::width | ( |  | ) | const

Returns
  Width of the rose

See also
  setWidth()